<%
// loginMainForm.inc
// Copyright (c) 2000 - 2005 Citrix Systems, Inc. All Rights Reserved.
// Web Interface (Build 45083)
%>
<tr>
  <td>
    <table border='0' cellspacing='3' cellpadding='0'>
      <tr>
        <td>
          <table border="0" cellspacing='0' cellpadding='3'>
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
            <tr>
              <td>
                <table border="0" cellspacing="0" cellpadding="2">
                  <tr align='left' valign='top'>
                    <td nowrap>
                      <label id='lblLoginType' class='xsNorm' for='<%=ID_LOGIN_TYPE%>'
                          title="<%=getString("TipLoginType", currentLocale)%>"
                      <%=viewControl.getAllUIDisabledStr()%>>
                      <%=getString("LoginType", currentLocale)%>
                      </label>
                    </td>
                 </tr>
                 <tr>
                   <td colspan='2' valign='top'>
                     <select name='<%=ID_LOGIN_TYPE%>' id='<%=ID_LOGIN_TYPE%>' <%=viewControl.getAllUIDisabledStr()%>
                          class='loginEntries' size='1' onchange='onChangeLoginType(this.form)'>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.ANONYMOUS ) ) {
%>
                       <option value='<%=AuthMethod.ANONYMOUS%>' <%=viewControl.getAnonymousSelectedStr()%>>
                         <%=getString("AnonymousUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.CERTIFICATE_SINGLE_SIGN_ON ) ) {
%>
                       <option value='<%=AuthMethod.CERTIFICATE_SINGLE_SIGN_ON%>'  <%=viewControl.getCertificateSSONSelectedStr()%>>
                         <%=getString("CertificateSSONUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.CERTIFICATE ) ) {
%>
                       <option value='<%=AuthMethod.CERTIFICATE%>' <%=viewControl.getCertificateSelectedStr()%>>
                         <%=getString("CertificateUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.SINGLE_SIGN_ON ) ) {
%>
                       <option value='<%=AuthMethod.SINGLE_SIGN_ON%>' <%=viewControl.getSSONSelectedStr()%>>
                         <%=getString("SingleSignOnUser", currentLocale)%>
                       </option>
<%
    }
%>
<%
    if( viewControl.allowedLogonModes().contains( AuthMethod.EXPLICIT ) ) {
%>
                       <option value='<%=AuthMethod.EXPLICIT%>' <%=viewControl.getExplicitSelectedStr()%>>
                         <%=getString("ExplicitUser", currentLocale)%>
                       </option>
<%
    }
%>
                      </select>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
<%
} else {
%>
            <input type='hidden' name='<%=ID_LOGIN_TYPE%>' value='<%=AuthMethod.EXPLICIT%>'>
<%
}
%>
            <tr>
              <td colspan='3'>
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
                <fieldset>
                <legend>
                <label id='lblCredentials' class='xsNorm' <%=viewControl.getExplicitDisabledStr()%>>
                <%=getString("EnterLoginCredentials", currentLocale)%>
                </label>
                </legend>
<%
}
%>
                <table border='0' cellspacing='0' cellpadding='1'>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="2">
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblUserName' class='xsNorm' for='<%=ID_USER%>'
                                title="<%=getString("TipUserName", currentLocale)%>"
                            <%=viewControl.getExplicitDisabledStr()%>>
                            <%=getString("UserName", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
                            <input type='text' name='<%=ID_USER%>' id='<%=ID_USER%>'
                                class='loginEntries'
                                maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>
<%
if (viewControl.getUserName() != null) {
%>
                                value='<%=Utilities.htmlEncode(viewControl.getUserName())%>'
<%
}
%>
                                onkeyup='onUsernameTextEntry(this.form)'
                                onChange='onUsernameTextEntry(this.form)'
                            >
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="2">
<%
if (viewControl.getShowPassword()) {
%>
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblPasswd' class='xsNorm' for='<%=ID_PASSWORD%>'
                                title="<%=getString("TipPassword", currentLocale)%>"
                            <%=viewControl.getExplicitDisabledStr()%>>
                            <%=getString("Password", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
                            <input type='password' name='<%=ID_PASSWORD%>' id='<%=ID_PASSWORD%>'
                                class='loginEntries'
                                maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>>
                          </td>
                        </tr>
<%
} else if (viewControl.getShowPasscode()) { //if passcode is visible, but password is not, then replace the password field with the passcode field
%>
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblPasscode' for='<%=ID_PASSCODE%>' class='xsNorm'
                                title="<%=getString("TipPasscode", currentLocale)%>"
                            <%=viewControl.getExplicitDisabledStr()%>>
                            <%=getString("Passcode", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
                            <input type='password' name='<%=ID_PASSCODE%>' id='<%=ID_PASSCODE%>'
                                class='loginEntries' maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>>
                          </td>
                       </tr>
<%
}
%>
                      </table>
                    </td>
                  </tr>
<%
if (viewControl.getShowDomain()) {
%>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="2">
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblDomain' class='xsNorm' for='<%=ID_DOMAIN%>'
                                title="<%=getString("TipDomain", currentLocale)%>"
                            <%=viewControl.getDomainDisabledStr()%>>
                            <%=getString("Domain", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
<%
    if (viewControl.getRestrictDomains() || viewControl.getNumLoginDomains() > 0) {
%>
                            <select class='loginEntries' size='1'
                                  name='<%=ID_DOMAIN%>' id='<%=ID_DOMAIN%>'
                              <%=viewControl.getDomainDisabledStr()%>>
<%
        for (int i=0; i < viewControl.getNumLoginDomains(); i++) {
%>
                              <option value='<%=Utilities.htmlEncode(viewControl.getLoginDomains()[i])%>'>
                                <%=Utilities.htmlEncode(viewControl.getLoginDomains()[i])%>
                              </option>
<%
        }
%>
                            </select>
<%
    } else {
%>
                            <input type='text' class='loginEntries'
                                name='<%=ID_DOMAIN%>' id='<%=ID_DOMAIN%>'
                                MAXLENGTH='<%=LOGIN_ENTRY_MAX_LENGTH%>'
                            <%=viewControl.getDomainDisabledStr()%>>
<%
    }
%>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
<%
}

if (viewControl.getNDSEnabled()) {
    if (viewControl.getNumNDSContexts() > 0 || viewControl.getShowFindContext()) {
%>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="2">
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblContext' class='xsNorm'
                                for='<%=ID_CONTEXT%>'
                                title="<%=getString("TipContext", currentLocale)%>">
                            <%=getString("Context", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
                            <select name='<%=ID_CONTEXT%>' id='<%=ID_CONTEXT%>'
                                  size='1' class='loginEntries'>
<%
        // Find context is always at the top of the list if it is present
        // Only selected if there are no found contexts being shown
        if (viewControl.getShowFindContext()) {
%>
                              <option <%=(viewControl.getNumNDSContexts() > 0) ? "" : "selected"%>>
                                <%=getString("lookupContextString", currentLocale)%>
                              </option>
<%
        }
        if (viewControl.getNumNDSContexts() > 0) {
            for (int j=0; j < viewControl.getNumNDSContexts(); j++) {
%>
                              <option <%=(j == 0) ? "selected" : ""%>
                                    value='<%=Utilities.htmlEncode(viewControl.getNDSContexts()[j])%>'>
                                <%=Utilities.htmlEncode(viewControl.getNDSContexts()[j])%>
                              </option>
<%
            }
        }
%>
                            </select>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
<%
    }
%>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="2">
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblTree' class='xsNorm' for='<%=ID_TREE%>'
                                title="<%=getString("TipTree", currentLocale)%>">
                            <%=getString("Tree", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
                            <input type='text' readonly name='<%=ID_TREE%>' id='<%=ID_TREE%>'
                                class='loginTreeEntry' value='<%=Utilities.htmlEncode(viewControl.getNDSTree())%>'>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
<%
}

if (viewControl.getShowPasscode() && viewControl.getShowPassword() ) { //only display the passcode field here if the password field is displayed above
%>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="3">
                        <tr>
                          <td align='left' valign='top' nowrap>
                            <label id='lblPasscode' for='<%=ID_PASSCODE%>' class='xsNorm'
                                title="<%=getString("TipPasscode", currentLocale)%>"
                            <%=viewControl.getExplicitDisabledStr()%>>
                            <%=getString("Passcode", currentLocale)%>
                            </label>
                          </td>
                        </tr>
                        <tr>
                          <td valign='top'>
                            <input type='password' name='<%=ID_PASSCODE%>' id='<%=ID_PASSCODE%>'
                                class='loginEntries' maxlength='<%=LOGIN_ENTRY_MAX_LENGTH%>' <%=viewControl.getExplicitDisabledStr()%>>
                          </td>
                       </tr>
                      </table>
                    </td>
                  </tr>
<%
}
%>
                  <tr>
                    <td>
                      <table border="0" cellspacing="0" cellpadding="3">
                        <tr>
                          <td align='left' valign='top' nowrap>
						    <label id='lblOneTimeCode' for='<%=ID_OTC%>' class='xsNorm'
						        title="Enter your one time code."
						    <%=viewControl.getExplicitDisabledStr()%>>
						    One Time Code:
						  </td>
						</tr>
						<tr>
						  <td valign='top'>
						    <input type='password' name='<%=ID_OTC%>' id='<%=ID_OTC%>'
						        class='loginEntries' maxlength='10' <%=viewControl.getExplicitDisabledStr()%>>
						  </td>
						</tr>
				      </table>
				    </td>
				  </tr>
                </table>
<%
if (viewControl.getShowLoginTypeOptions()) {
%>
                </fieldset>
<%
}
%>
              </td>
            </tr>
            <tr name="<%=ID_OPENLINK_ADV_OPTIONS%>" id="<%=ID_OPENLINK_ADV_OPTIONS%>" <%=viewControl.getAdvancedOptionsOpenLinkDisplayStr()%>>
              <td align="right"><a href="#<%=ID_ADV_OPTIONS_ANCHOR%>" class="appLinksSmall" onClick="openAdvOptions(this.form)"><%=getString("AdvancedOptionsOpen", currentLocale)%></a></td>
            </tr>
<%
if (! viewControl.getShowAdvancedOptionsPermanently()) {
%>
            <tr name="<%=ID_CLOSELINK_ADV_OPTIONS%>" id="<%=ID_CLOSELINK_ADV_OPTIONS%>" <%=viewControl.getAdvancedOptionsCloseLinkDisplayStr()%>>
              <td align="right"><a href="#" class="appLinksSmall" onClick="closeAdvOptions(this.form)"><%=getString("AdvancedOptionsClose", currentLocale)%></a></td>
            </tr>
<%
}
%>
          </table>
        </td>
      </tr>
    </table>
  </td>
</tr>
